cURL
curl --request POST \ --url https://api.ttapi.io/happyhorse/api/v1/services/aigc/video-generation/reference-to-video \ --header 'Content-Type: application/json' \ --header 'TT-API-KEY: <api-key>' \ --data ' { "model": "happyhorse-1.0-r2v", "input": { "prompt": "<string>", "media": [ { "type": "reference_image", "url": "<string>" } ] }, "parameters": { "resolution": "720P", "ratio": "16:9", "duration": 5, "watermark": false, "seed": 12345 } } '
{ "output": { "task_status": "PENDING", "task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx" }, "request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx" }
参考生视频 - 基于多张参考图像生成视频
Documentation IndexFetch the complete documentation index at: https://docs.ttapi.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
Use this file to discover all available pages before exploring further.
请前往 TTAPI 控制台 获取 API 密钥。
模型名称。固定值:happyhorse-1.0-r2v。
"happyhorse-1.0-r2v"
输入的基本信息,包括参考图像和提示词。
Show child attributes
视频生成参数。如设置视频分辨率、宽高比、时长等。
成功响应
任务输出信息
请求唯一标识。可用于请求明细溯源和问题排查。
"4909100c-7b5a-9f92-bfe5-xxxxxx"